DynamicJava Javadoc: Class ArrayModifier

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## koala.dynamicjava.interpreter.modifier
Class ArrayModifier

    java.lang.Object
      |
      +--koala.dynamicjava.interpreter.modifier.LeftHandSideModifier
            |
            +--koala.dynamicjava.interpreter.modifier.ArrayModifier

public class ArrayModifier
extends LeftHandSideModifier

This interface represents objets that modify an array

Field Summary
`protected java.lang.Object` | `array` The array reference
`protected java.util.List` | `arrays` A list used to manage recursive calls
`protected java.lang.Number` | `cell` The cell number
`protected java.util.List` | `cells` A list used to manage recursive calls
`protected ArrayAccess` | `node` The array expression

Constructor Summary
`ArrayModifier(ArrayAccess node)` Creates a new array modifier

Method Summary
`void` | `modify(Context ctx, java.lang.Object value)` Sets the value of the underlying left hand side expression
`java.lang.Object` | `prepare(Visitor v, Context ctx)` Prepares the modifier for modification

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### node

    protected ArrayAccess node

  The array expression

### array

    protected java.lang.Object array

  The array reference

### cell

    protected java.lang.Number cell

  The cell number

### arrays

    protected java.util.List arrays

  A list used to manage recursive calls

### cells

    protected java.util.List cells

  A list used to manage recursive calls

Constructor Detail

### ArrayModifier

    public ArrayModifier(ArrayAccess node)

  Creates a new array modifier
  Parameters:
    `node` - the node of that represents this array

Method Detail

### prepare

    public java.lang.Object prepare(Visitor v,
                                    Context ctx)

  Prepares the modifier for modification
  Overrides:
    `prepare` in class `LeftHandSideModifier`
  Following copied from class: `koala.dynamicjava.interpreter.modifier.LeftHandSideModifier`
  Returns:
    the value of the left hand side

### modify

    public void modify(Context ctx,
                       java.lang.Object value)

  Sets the value of the underlying left hand side expression
  Overrides:
    `modify` in class `LeftHandSideModifier`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001 Stephane Hillion. All Rights Reserved.